Skip to main content
GET
/
deployments
/
configurations
/
{configurationId}
/
versions
List deployment configuration versions
curl --request GET \
  --url https://your-domain.com/api/client/v1/deployments/configurations/{configurationId}/versions \
  --header 'Authorization: Bearer <token>'
{
  "versions": [
    {
      "id": "<string>",
      "configuration_id": "<string>",
      "version_number": 123,
      "yaml": "<string>",
      "spec_hash": "<string>",
      "resource_count": 123,
      "pushed_by": "<string>",
      "pushed_at": 123,
      "push_message": "<string>",
      "base_version_id": "<string>"
    }
  ],
  "count": 123,
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

configurationId
string
required

Deployment configuration ID.

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200

Response

Versions

versions
object[]
count
integer
next_cursor
string | null